package com.hyp.web.controller.manager;

import cn.hutool.core.io.FileUtil;
import com.hyp.common.exception.ServiceException;
import com.hyp.system.domain.RewFileRelation;
import com.hyp.system.service.RewFileRelationService;
import org.springframework.stereotype.Component;
import javax.annotation.Resource;
import java.util.Objects;

/**
 * packageName com.hyp.web.controller.manager
 *
 * @author wangxy
 * @version JDK 8
 * @className FileRelationManager
 * @date 2024/4/12
 * @description 文件
 */
@Component
public class FileRelationManager {

    @Resource
    private RewFileRelationService fileRelationService;

    /**
     *
     *  删除文件
     * @return boolean
     */
    public  boolean delFile(String fileId){
         RewFileRelation fileRelation = fileRelationService.getById(fileId);
         if(Objects.isNull(fileRelation)){
             throw new ServiceException("文件不存在");
         }
        FileUtil.del(fileRelation.getFilePath());
        return  fileRelationService.removeById(fileId);

    }
    /**
     *
     *  材料审核
     * @param applyId
     * @param fileCode
     * @param fileState
     * @return boolean
     */
    public  boolean filePass( String applyId, String fileCode, Integer fileState){
        return fileRelationService.lambdaUpdate()
                .eq(RewFileRelation::getApplyId,applyId)
                .eq(RewFileRelation::getFileCode,fileCode)
                .set(RewFileRelation::getFileState,fileState)
                .update();


    }




}
