package com.hyp.web.controller.reward;

import com.hyp.common.core.controller.BaseController;
import com.hyp.common.core.domain.AjaxResult;
import com.hyp.web.controller.manager.FileRelationManager;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;


/**
 * packageName com.hyp.web.controller.reward
 *
 * @author wangxy
 * @version JDK 8
 * @className FileRelationController
 * @date 2024/4/12
 * @description 文件
 */
@Api("文件")
@RestController
@RequestMapping("/reward/file")
public class FileRelationController extends BaseController {


    @Resource
    private FileRelationManager fileRelationManager;

    @ApiOperation("材料删除")
    @GetMapping("/delFile/{fileId}")
    public AjaxResult delFile(@PathVariable String fileId){
        return  toAjax(fileRelationManager.delFile(fileId));
    }


    @ApiOperation("材料审核")
    @GetMapping("/filePass")
    public AjaxResult filePass(@RequestParam String applyId,
                               @RequestParam String fileCode,
                               @RequestParam Integer fileState){
        return  toAjax(fileRelationManager.filePass(applyId,fileCode,fileState));
    }





}
